:root {
  --green: #86C232;
  --orange: #fb8500;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body, html {
  font: bold 14px/1.4 'Lato', sans-serif;
}

@media (max-width: 576px) {
  .section-home h1 {
    font-size: 24px;
  }

  .section-home h2 {
    font-size: 16px;
  }
}

/**
 * Nav
 */

.navbar-nav {  
  list-style: none; 
  display: table;
  text-align: center;
}

.navbar-brand {
  font: bold 14px/1.4 'Lato', sans-serif;
}

.nav-item { 
  display: table-cell; 
  position: relative; 
}

.nav-item a {
  color: #ffffff;
  text-transform: uppercase;
  text-decoration: none;
  letter-spacing: 0.15em;
  display: inline-block;
  padding: 15px 20px;
  position: relative;
}

.nav-item a:after {    
  background: none repeat scroll 0 0 transparent;
  bottom: 0;
  content: "";
  display: block;
  height: 2px;
  left: 50%;
  position: absolute;
  background: #ffffff;
  transition: width 0.3s ease 0s, left 0.3s ease 0s;
  width: 0;
}
.nav-item a:hover:after { 
  width: 100%;
  left: 0; 
}

.navbar {
  background-color: #222629;
}

.navbar-toggler{
  border: none;
}

.navbar-toggler .line{
  background-color: #ffffff;
}

.particles-js {
  width: 100%;
  height: 100%;
  position: fixed;
  z-index: -1;
  top: 0;
  left: 0
}

.particles-js canvas {
  /* display: block; */
  vertical-align: bottom;
  -webkit-transform: scale(1);
  -ms-transform: scale(1);
  transform: scale(1);
  opacity: 1;
  -webkit-transition: opacity .8s ease, -webkit-transform 1.4s ease;
  transition: opacity .8s ease, transform 1.4s ease
}

.btn-primary, .btn-primary:active, .btn-primary:visited {
  background-color: #222629;
  border-color: #222629;
}

.btn-primary:hover {
  background-color: #86C232;
  border-color: #86C232;
}

.highlightedText {
  color: #86C232;
}

.fa-paper-plane {
  font-size: 48px;
  color: #222629;
}

.social a {
  display: inline;
  font-size: 36px;
  margin: 10px;
  color: whitesmoke;
}

.social a:hover {
  color: rgb(199, 198, 198);
}

.heart {
  color: #86C232;
}

.logo {
  display: inline-block;
}

.card {
  text-align: center;
  min-height: 400px;
  max-height: 600px;
}

.section-about i {
  margin: 20px;
  font-size: 48px;
  color: #86C232;
}

.section-about li {
  margin: 10px;
  font-size: 16px;
  color: #646363;
  text-align: center;
}

.switch {
  align-items: center;
  margin-right: 3px;
  height: 20px;
  width: 20px;
  border-radius: 50%;
  border: 1px solid #FFFFFF;
  display: inline-block;
}

#switch-1 {
  background-color: var(--orange);
  cursor: pointer;
}

#switch-2 {
  background-color: var(--green);
  cursor: pointer;
}

#messageSuccess {
  display: none;
  font-size: 48px;
  color: #222629;
  text-align: center;
}

#failedAlert {
  display: none;
}

/**
 * Sections
 */

.section {
  position: relative;
  display: flex;
  /* flex-flow: column nowrap; */
  align-items: stretch;
  min-height: 60vh;
  width: 100%;
  align-content: center;
  padding: 10vh 50px 10vh 50px;
  z-index: 1;
}

.section svg {
  position: absolute;
  top: -50px;
  left: 0;
  right: 0;
  width: 100%;
  height: 50px;
}

.section svg.bottom {
  bottom: 0;
  top: auto;
  fill: grey;
  /* z-index: 1; */
}

.section.section_inner {
  height: 100%;
  max-width: 100%;
  margin: auto auto auto 0;
}

.section.section-home {
  background-color: #222629;
  color: white;
  /* z-index: 1; */
}

.section.section-about {
  background-color: white;
  color: black;
  text-align: center;
  /* z-index: 1; */
}

.section.section-about svg {
  fill: white;
}

.section.section-projects {
  background-color: #86C232;
  z-index: 1;
}

.section.section-projects svg {
  fill: #86C232;
  z-index: 1;
}

.section-projects a {
  color: #006597;
}

.section-projects h2, p {
  color: #222629;
}

section.section-contact {
  background-color: white;
  color: #222629;
  /* z-index: 1; */
}

.section.section-contact svg {
  fill: white;
}

.section-footer {
  position: relative;
  display: flex;
  flex-flow: column nowrap;
  align-items: center;
  height: 300px;
  width: 100%;
  align-content: center;
  justify-content: center;
  background-color: #222629;
  color: white;
  z-index: 1;
}

/**
 * Carousel
 */

.wordCarousel {
  font-size: 18px;
  font-weight: 100;
  color: #eee;
}

.wordCarousel div {
  overflow: hidden;
  position: relative;
  float: right;
  height: 65px;
  padding-top: 10px;
  margin-top: -10px;
}

.wordCarousel div ul {
  padding-left: 0px;
}

.wordCarousel div li {
  color: #eee;
  font-weight: 700;
  height: 45px;
  margin-bottom: 45px;
  display: block;
  text-align: right;
}

.flip2 {
  -webkit-animation: flip2 6s cubic-bezier(0.23, 1, 0.32, 1.2) infinite;
  animation: flip2 6s cubic-bezier(0.23, 1, 0.32, 1.2) infinite;
}

.flip3 {
  -webkit-animation: flip3 8s cubic-bezier(0.23, 1, 0.32, 1.2) infinite;
  animation: flip3 8s cubic-bezier(0.23, 1, 0.32, 1.2) infinite;
}

.flip4 {
  -webkit-animation: flip4 10s cubic-bezier(0.23, 1, 0.32, 1.2) infinite;
  animation: flip4 10s cubic-bezier(0.23, 1, 0.32, 1.2) infinite;
}

@-webkit-keyframes flip2 {
  0% {
      margin-top: -180px;
  }
  5% {
      margin-top: -90px;
  }
  50% {
      margin-top: -90px;
  }
  55% {
      margin-top: 0px;
  }
  99.99% {
      margin-top: 0px;
  }
  100% {
      margin-top: -270px;
  }
}

@keyframes flip2 {
  0% {
      margin-top: -180px;
  }
  5% {
      margin-top: -90px;
  }
  50% {
      margin-top: -90px;
  }
  55% {
      margin-top: 0px;
  }
  99.99% {
      margin-top: 0px;
  }
  100% {
      margin-top: -270px;
  }
}
@-webkit-keyframes flip3 {
  0% {
      margin-top: -270px;
  }
  5% {
      margin-top: -180px;
  }
  33% {
      margin-top: -180px;
  }
  38% {
      margin-top: -90px;
  }
  66% {
      margin-top: -90px;
  }
  71% {
      margin-top: 0px;
  }
  99.99% {
      margin-top: 0px;
  }
  100% {
      margin-top: -270px;
  }
}
@keyframes flip3 {
  0% {
      margin-top: -270px;
  }
  5% {
      margin-top: -180px;
  }
  33% {
      margin-top: -180px;
  }
  38% {
      margin-top: -90px;
  }
  66% {
      margin-top: -90px;
  }
  71% {
      margin-top: 0px;
  }
  99.99% {
      margin-top: 0px;
  }
  100% {
      margin-top: -270px;
  }
}
@-webkit-keyframes flip4 {
  0% {
      margin-top: -360px;
  }
  5% {
      margin-top: -270px;
  }
  25% {
      margin-top: -270px;
  }
  30% {
      margin-top: -180px;
  }
  50% {
      margin-top: -180px;
  }
  55% {
      margin-top: -90px;
  }
  75% {
      margin-top: -90px;
  }
  80% {
      margin-top: 0px;
  }
  99.99% {
      margin-top: 0px;
  }
  100% {
      margin-top: -270px;
  }
}
@keyframes flip4 {
  0% {
      margin-top: -360px;
  }
  5% {
      margin-top: -270px;
  }
  25% {
      margin-top: -270px;
  }
  30% {
      margin-top: -180px;
  }
  50% {
      margin-top: -180px;
  }
  55% {
      margin-top: -90px;
  }
  75% {
      margin-top: -90px;
  }
  80% {
      margin-top: 0px;
  }
  99.99% {
      margin-top: 0px;
  }
  100% {
      margin-top: -270px;
  }
}
